import numpy as np

def solve(N, W):
    W=sorted(W)
    res=0
    #print("Start:", W)
    while len(W) > 0:
        last=W[-1]
        del W[-1]
        #print("Removed last:", W)
        div=int(np.ceil(50/last))
        #print("50/{0}={1}".format(last,div))
        if len(W) < div-1:
            return res
        del W[:div-1]
        #print("Removed", div-1, "first")
        res+=1
    return res

if __name__ == "__main__":
    import fileinput
    f = fileinput.input()

    T = int(f.readline())
    for case in range(1, T+1):
        N = int(f.readline())
        W = [int(f.readline()) for x in range(N)]
        solution = solve(N, W)
        print("Case #{0}: {1}".format(case, solution))
